Page MenuHomePhabricator

Convert GeoData to use extension registration
Closed, ResolvedPublic

Description

The GeoData extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:32 PM
Liuxinyu970226 set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 12 2015, 10:13 AM

Before we convert this, I'd like to see how we can make $wgGlobes not suck.

Reedy added a subscriber: Reedy.Aug 6 2016, 9:49 PM

Before we convert this, I'd like to see how we can make $wgGlobes not suck.

Not suck how?

Change 303385 had a related patch set uploaded (by Reedy):
Convert GeoData to extension registration

https://gerrit.wikimedia.org/r/303385

Reedy triaged this task as Normal priority.Aug 6 2016, 9:54 PM
MaxSem added a comment.Aug 7 2016, 2:02 AM

Before we convert this, I'd like to see how we can make $wgGlobes not suck.

Not suck how?

I already refactored that.

Before we convert this, I'd like to see how we can make $wgGlobes not suck.

Not suck how?

I already refactored that.

Yep, it no longer sucks :)

Change 303385 merged by jenkins-bot:
Convert GeoData to extension registration

https://gerrit.wikimedia.org/r/303385

Legoktm closed this task as Resolved.Aug 10 2016, 6:47 AM
Legoktm assigned this task to Reedy.